use strict;
use warnings;

use Test::More tests => 3;

use Subtitle::Utils qw(:string);

my $line;

$line = " test \r\n";
chomp_all($line);
is($line, ' test ');

$line = "\xEF\xBB\xBFtest";
strip_bom($line);
is($line, 'test');

$line = '  test  ';
trim($line);
is($line, 'test');

exit 0;
