use strict;
use warnings;

use Test::More tests => 7;

use Subtitle::Event;

my $e = Subtitle::Event->new;
is(ref $e, 'Subtitle::Event');
can_ok($e, qw(new t_start t_end text));

is($e->t_start, 0.0);
is($e->t_start(17.2), 17.2);
is($e->t_start(-5.4), 17.2);

is($e->text, '');
is($e->text('test'), 'test');

1;
